# $Revision: 1.5 $, $Date: 2011/01/02 10:21:02 $
#
%include	/usr/lib/rpm/macros.gstreamer
Summary:	GStreamer plug-in that allows communication with OpenMAX IL components
Summary(pl.UTF-8):	Wtyczka GStreamera pozwalająca na komunikację z komponentami OpenMAX IL
Name:		gstreamer-openmax
Version:	0.10.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/gst-openmax/gst-openmax-%{version}.tar.bz2
# Source0-md5:	4d0370bfe99dea20918c84347abadb4e
URL:		http://gstreamer.net/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gstreamer-devel >= 0.10.22
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	gstreamer >= 0.10.22
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GstOpenMAX is a GStreamer plug-in that allows communication with
OpenMAX IL components.

OpenMAX IL is an industry standard that provides an abstraction layer
for computer graphics, video, and sound routines.

%description -l pl.UTF-8
GstOpenMAX to wtyczka GStreamera pozwalająca na komunikację z
komponentami OpenMAX IL.

OpenMAX IL to standard przemysłowy zapewniający warstwę abstrakcji dla
funkcji grafiki komputerowej, obrazu i dźwięku komp.

%prep
%setup -q -n gst-openmax-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-0.10/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/gstreamer-0.10/libgstomx.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gstreamer-openmax.spec,v $
Revision 1.5  2011/01/02 10:21:02  qboosh
- updated to 0.10.1

Revision 1.4  2010/04/21 14:01:56  megabajt
- updated to 0.10.0.5

Revision 1.3  2008/08/31 17:00:53  qboosh
- updated to 0.10.0.4

Revision 1.2  2008/02/22 22:29:01  qboosh
- updated to 0.10.0.3

Revision 1.1  2007-12-16 02:29:54  qboosh
- new
